import { mdsvex } from 'mdsvex';
import staticAdapter from '@sveltejs/adapter-static';
import slug from './src/lib/slug.js';


const config = {
	extensions: ['.svelte', '.svx'],
	preprocess: mdsvex({
		layout: './src/lib/Post.svelte',
		rehypePlugins: [slug],
	}),
	kit: {
		// hydrate the <div id="svelte"> element in src/app.html
		target: '#svelte',
		adapter: staticAdapter(),
	}
};

export default config;
